

//////////////////////////// 1. cn.com.mjsoft.cms.content.service.ContentService中追加以下方法  //////////////////////////// 
/**
     * 获取我参与审核工作流内容的记录，涉及栏目内容和留言
     * @param infoType
     * @param titleKey
     * @param sd
     * @param ed
     * @param classId
     * @param censor
     * @param pn
     * @param size
     * @return
     */
    public Object getMyCensorContent(String infoType, String titleKey, String sd, String ed, String classId, String censor, String pn, String size )
    {
        SecuritySession sec = SecuritySessionKeeper.getSecuritySession();

        if(sec == null && !sec.isManager())
        {
            return null;//只有登录的管理员允许访问本service方法
        }

        //默认栏目内容
        if(StringUtil.isStringNull(infoType))
        {
            infoType = Constant.METADATA.INFO_TYPE_CONTENT;
        }

        Auth auth = SecuritySessionKeeper.getSecuritySession().getAuth();

        String userName = (String) auth.getApellation();

        int pageNum = StringUtil.getIntValue( pn, 1 );

        int pageSize = StringUtil.getIntValue( size, 15 );

        Page pageInfo = null;

        titleKey = SystemSafeCharUtil.decodeFromWeb(titleKey);

        Date sdVar = null;

        Date edVar = null;

        if(StringUtil.isStringNull(sd))
        {
            sdVar = DateAndTimeUtil.getTimestamp("1990-01-01", DateAndTimeUtil.DEAULT_FORMAT_YMD);
        }
        else
        {
            sdVar = DateAndTimeUtil.getTimestamp(sd, DateAndTimeUtil.DEAULT_FORMAT_YMD);
        }

        if(StringUtil.isStringNull(ed))
        {
            edVar = DateAndTimeUtil.getTimestamp("2999-01-01", DateAndTimeUtil.DEAULT_FORMAT_YMD);
        }
        else
        {
            edVar = DateAndTimeUtil.getTimestamp(ed, DateAndTimeUtil.DEAULT_FORMAT_YMD);
        }

        Integer count = contentDao.queryManagerCensorContentOper(infoType, userName, sdVar, edVar, titleKey,
                StringUtil.getLongValue(classId, -1), StringUtil.getIntValue(censor, -9999),  0l, 10000000 ).size();

        pageInfo = new Page( pageSize, count, pageNum );

        List<Map> result = contentDao.queryManagerCensorContentOper(infoType, userName, sdVar, edVar, titleKey,
                StringUtil.getLongValue(classId, -1), StringUtil.getIntValue(censor, -9999),  pageInfo.getFirstResult(), pageInfo.getPageSize());

        return new  Object[]{result,pageInfo  };

    }



	//////////////////////////// 2. cn.com.mjsoft.cms.content.dao.ContentDao中追加以下方法  //////////////////////////// 
	public List<Map> queryManagerCensorContentOper(  String infoType, String userName, Date sd, Date ed, String titleKey, Long classId, Integer censorState, Long start, Integer size )
    {
        String orgAndPos = "";

        Object [] param = null;

        if(Constant.METADATA.INFO_TYPE_CONTENT.equals(infoType))
        {
            param = new Object []{ userName, sd, ed, "%"+titleKey+"%",};

            if(classId > 0 && censorState == -9999)
            {
                orgAndPos = "and classId=?";

                param = ArrayUtils.addAll(param, new Object[]{classId});
            }
            else if(classId > 0 && censorState != -9999)
            {
                orgAndPos = "and classId=? and censorState=?";

                param = ArrayUtils.addAll(param, new Object[]{classId, censorState});
            }
            else if(classId < 0 && censorState != -9999)
            {
                orgAndPos = "and censorState=?";

                param = ArrayUtils.addAll(param, new Object[]{censorState});
            }
        }
        else if(Constant.METADATA.INFO_TYPE_GB.equals(infoType))
        {
            param = new Object []{ userName, sd, ed, "%"+titleKey+"%", "%"+titleKey+"%"};

            if(classId > 0 && censorState == -9999)
            {
                orgAndPos = "and configId=?";

                param = ArrayUtils.addAll(param, new Object[]{classId});
            }
            else if(classId > 0 && censorState != -9999)
            {
                orgAndPos = "and configId=? and isCensor=?";

                param = ArrayUtils.addAll(param, new Object[]{classId, censorState});
            }
            else if(classId < 0 && censorState != -9999)
            {
                orgAndPos = "and isCensor=?";

                param = ArrayUtils.addAll(param, new Object[]{censorState});
            }
        }

        param = ArrayUtils.addAll(param, new Object[]{start, size});

        String contentSql = "select  * from " +
                "(select DISTINCT linkCid, modelId, creator, co.contentId ,ci.classId, ci.censorState, title,DATE_FORMAT(eventDT,'%Y-%m-%d') as edt from content_oper_info co " +
                "inner join content_main_info ci on co.contentId=ci.contentId where infoType=1 and opId>0 and puserName = ? ) tmp " +
                "where edt>=? and edt<=? and  title like ? "+orgAndPos+" order by edt desc limit ?,?";

        String gbSql = "select  * from " +
                "(select DISTINCT  co.contentId ,ci.configId, ci.isCensor, gbTitle, gbText, DATE_FORMAT(eventDT,'%Y-%m-%d') as edt from content_oper_info co " +
                "inner join guestbook_main_info ci on co.contentId=ci.gbId where infoType=2 and opId>0 and puserName = ? ) tmp " +
                "where edt>=? and edt<=? and  (gbTitle like ? or gbText like ?)"+orgAndPos+" order by edt desc limit ?,?";

        String endSql = null;

        if(Constant.METADATA.INFO_TYPE_CONTENT.equals(infoType))
        {
            endSql = contentSql;
        }
        else if(Constant.METADATA.INFO_TYPE_GB.equals(infoType))
        {
            endSql = gbSql;
        }

        return pe.queryResultMap( endSql, param );
    }